/*
 * Exemplo de erro indicado pelo valor de retorno da funo fopen.
 * Varivel errno indica qual foi o erro.
 */

#include <stdio.h>
#include <errno.h>

int main() {

  FILE *file;

  printf("Tentativa de abrir arquivo no existente: \n");
  file = fopen ("noarq.txt","r");
  if (file == NULL) 
    perror("fopen");
  
  printf("Tentativa de abrir arquivo violando permisses: \n");
  file = fopen ("noperm.txt","w");
  if (file == NULL)
    perror("fopen");
  
  return 0;
}
